aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-02-01 20:42:42 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-02-01 20:43:07 +0000
commit89813005d6b8d78d38ff98a2ccd8de287325d3e3 (patch)
tree28ab6628b882f8556beb3bb4607dc0f5236d7149
parent3bcbf3e3d10c53866b24eee08227c88212d6293c (diff)
downloadaports-89813005d6b8d78d38ff98a2ccd8de287325d3e3.tar.gz
aports-89813005d6b8d78d38ff98a2ccd8de287325d3e3.tar.bz2
aports-89813005d6b8d78d38ff98a2ccd8de287325d3e3.tar.xz
main/udev: upgrade to 180
-rw-r--r--main/udev/0001-make-link-udevd-with-lrt.patch29
-rw-r--r--main/udev/0001-make-support-for-tar-without-J-option.patch31
-rw-r--r--main/udev/APKBUILD27
3 files changed, 81 insertions, 6 deletions
diff --git a/main/udev/0001-make-link-udevd-with-lrt.patch b/main/udev/0001-make-link-udevd-with-lrt.patch
new file mode 100644
index 0000000000..7ce814b087
--- /dev/null
+++ b/main/udev/0001-make-link-udevd-with-lrt.patch
@@ -0,0 +1,29 @@
+From c0f5d9943e2617c1fe7549742a184f59af6d205c Mon Sep 17 00:00:00 2001
+From: Natanael Copa <ncopa@alpinelinux.org>
+Date: Wed, 1 Feb 2012 20:18:00 +0000
+Subject: [PATCH] make: link udevd with -lrt
+
+sd-daemon.c uses mq_getattr() and should link with -lrt as the
+man mq_getattr(3) states.
+
+Signed-off-by: Natanael Copa <ncopa@alpinelinux.org>
+---
+ Makefile.am | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/Makefile.am b/Makefile.am
+index e88a243..d5af409 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -249,7 +249,7 @@ src_udevd_SOURCES = \
+ src/sd-daemon.h \
+ src/sd-daemon.c
+ src_udevd_CFLAGS = $(udev_common_CFLAGS)
+-src_udevd_LDADD = $(udev_common_LDADD)
++src_udevd_LDADD = $(udev_common_LDADD) -lrt
+ src_udevd_CPPFLAGS = $(udev_common_CPPFLAGS)
+
+ src_udevadm_SOURCES = \
+--
+1.7.9
+
diff --git a/main/udev/0001-make-support-for-tar-without-J-option.patch b/main/udev/0001-make-support-for-tar-without-J-option.patch
new file mode 100644
index 0000000000..69ec2770c5
--- /dev/null
+++ b/main/udev/0001-make-support-for-tar-without-J-option.patch
@@ -0,0 +1,31 @@
+From 4d3e28de30d83d243ad8f4a340be9ac027f7ba79 Mon Sep 17 00:00:00 2001
+From: Natanael Copa <ncopa@alpinelinux.org>
+Date: Wed, 1 Feb 2012 20:03:53 +0000
+Subject: [PATCH] make: support for tar without -J option
+
+Not all tar implemntation has support for -J yet. For example
+busybox tar.
+
+This trivial fix makes the build work out of the box on those systems.
+
+Signed-off-by: Natanael Copa <ncopa@alpinelinux.org>
+---
+ Makefile.am | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/Makefile.am b/Makefile.am
+index 1de4b27..e88a243 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -315,7 +315,7 @@ src_test_udev_CPPFLAGS = $(udev_common_CPPFLAGS)
+
+ # packed sysfs test tree
+ test/sys/kernel/uevent_seqnum:
+- $(AM_V_GEN)mkdir -p test && tar -C test/ -xJf $(top_srcdir)/test/sys.tar.xz
++ $(AM_V_GEN)mkdir -p test && unxz -c $(top_srcdir)/test/sys.tar.xz | tar -C test/ -x
+
+ BUILT_SOURCES += test/sys/kernel/uevent_seqnum
+
+--
+1.7.9
+
diff --git a/main/udev/APKBUILD b/main/udev/APKBUILD
index f9bf15c164..20dcc3bfb5 100644
--- a/main/udev/APKBUILD
+++ b/main/udev/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=udev
-pkgver=175
-pkgrel=2
+pkgver=180
+pkgrel=0
pkgdesc="The userspace dev tools (udev)"
url="http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"
arch="all"
@@ -9,16 +9,29 @@ license="GPL"
subpackages="$pkgname-dev $pkgname-doc libudev libgudev"
depends=
makedepends="gobject-introspection-dev glib-dev gperf acl-dev libusb-compat-dev
- usbutils pciutils-dev libtool"
+ usbutils pciutils-dev libtool util-linux-dev kmod-dev
+ autoconf automake"
install=
source="http://www.kernel.org/pub/linux/utils/kernel/hotplug/$pkgname-$pkgver.tar.bz2
+ 0001-make-support-for-tar-without-J-option.patch
+ 0001-make-link-udevd-with-lrt.patch
write_root_link_rule
udev-mount.initd
udev-postmount.initd
udev.initd"
-build ()
-{
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ aclocal -I m4 && autoconf && automake
+}
+
+build() {
cd "$srcdir"/$pkgname-$pkgver
./configure --prefix=/usr \
--sysconfdir=/etc \
@@ -72,7 +85,9 @@ libgudev() {
"$subpkgdir"/usr/lib/
}
-md5sums="2fc9c1efcbde98e3d73ffee7a77aea47 udev-175.tar.bz2
+md5sums="9ebccedefcd3ae15c35ba6f8bee0d102 udev-180.tar.bz2
+6890dbebe3f150c1908dd19bbc33b8d0 0001-make-support-for-tar-without-J-option.patch
+d108d502dd979691bc5598771f2f41e5 0001-make-link-udevd-with-lrt.patch
c9de7581099cdfdcd105666cd98a0f0a write_root_link_rule
884d7faaaa149a323b14e907ea1934f4 udev-mount.initd
e99c87e62e7cb5acc4c55bf065944a11 udev-postmount.initd